document.addEventListener('DOMContentLoaded', () => {
  // Prism demo interaction
  const prismDemo = document.getElementById('prism-demo');
  prismDemo.addEventListener('mousemove', (e) => {
    const rect = prismDemo.getBoundingClientRect();
    const x = (e.clientX - rect.left) / rect.width;
    const y = (e.clientY - rect.top) / rect.height;
    prismDemo.style.background = `linear-gradient(${x * 360}deg, 
      hsl(${x * 360}, 90%, 50%),
      hsl(${y * 360}, 90%, 50%),
      hsl(${(x + y) * 180}, 90%, 50%)
    )`;
  });

  // Shadow control
  const shadowControl = document.getElementById('shadow-control');
  const shadowDemo = document.getElementById('shadow-demo');
  shadowControl.addEventListener('input', (e) => {
    const size = e.target.value;
    shadowDemo.style.background = `radial-gradient(circle ${size}px at center, 
      transparent 0%, 
      hsl(240, 25%, 8%) 100%
    )`;
  });

  // CD demo animation
  const cdDemo = document.getElementById('cd-demo');
  let hue = 0;
  setInterval(() => {
    hue = (hue + 1) % 360;
    cdDemo.style.background = `linear-gradient(
      ${hue}deg,
      hsl(${hue}, 90%, 50%),
      hsl(${(hue + 120) % 360}, 90%, 50%),
      hsl(${(hue + 240) % 360}, 90%, 50%)
    )`;
  }, 50);
});